Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.runtime
Interface KodoStateManagerSPI

All Superinterfaces:
  KodoStateManager, PersistenceCapable.ObjectIdFieldConsumer, PersistenceCapable.ObjectIdFieldManager, PersistenceCapable.ObjectIdFieldSupplier, StateManager

public interface KodoStateManagerSPI
extends KodoStateManager

Internal state manager interface.

Field Summary
`static int` | `LOAD_ALL`
`static int` | `LOAD_FGS`
`static int` | `LOAD_SERIALIZE`

Method Summary
`boolean` | `assignObjectId(boolean flush)` Ask the store manager to assign a permanent oid to this new instance.
`boolean` | `beforeRefresh(boolean refreshAll)` Prepare the instance for refresh
`boolean` | `load(FetchConfiguration fetch, int loadMode, BitSet exclude, Object context, boolean forWrite)` Load the state of this instance based on the given fetch configuration and load mode.
`void` | `setRemote(int field, Object value)` Set the given field to the given value.
`void` | `setRemoteBoolean(int field, boolean val)` Set the given boolean field to the given value.
`void` | `setRemoteByte(int field, byte val)` Set the given byte field to the given value.
`void` | `setRemoteChar(int field, char val)` Set the given char field to the given value.
`void` | `setRemoteDouble(int field, double val)` Set the given double field to the given value.
`void` | `setRemoteFloat(int field, float val)` Set the given float field to the given value.
`void` | `setRemoteInt(int field, int val)` Set the given int field to the given value.
`void` | `setRemoteLong(int field, long val)` Set the given long field to the given value.
`void` | `setRemoteObject(int field, Object val)` Set the given object field to the given value.
`void` | `setRemoteShort(int field, short val)` Set the given short field to the given value.
`void` | `setRemoteString(int field, String val)` Set the given string field to the given value.

Methods inherited from interface kodo.runtime.KodoStateManager
`fetch, fetchBoolean, fetchByte, fetchChar, fetchDouble, fetchField, fetchFloat, fetchInitialField, fetchInt, fetchLong, fetchObject, fetchShort, fetchString, getDirty, getFlushed, getId, getImplData, getImplData, getIntermediate, getJDOState, getLoaded, getLock, getMetaData, getObjectId, getOwner, getOwnerField, getPersistenceCapable, getPersistenceManager, getUnloaded, getVersion, initialize, initialize, isDeleted, isDirty, isEmbedded, isFlushed, isFlushedDirty, isImplDataCacheable, isImplDataCacheable, isNew, isPersistent, isTransactional, makeDirty, newFieldProxy, newProxy, removed, setImplData, setImplData, setIntermediate, setLock, setNextVersion, setObjectId, setVersion, store, storeBoolean, storeByte, storeChar, storeDouble, storeField, storeFloat, storeInt, storeLong, storeObject, storeShort, storeString`

Methods inherited from interface javax.jdo.spi.StateManager
`getBooleanField, getByteField, getCharField, getDoubleField, getFloatField, getIntField, getLongField, getObjectField, getObjectId, getPersistenceManager, getShortField, getStringField, getTransactionalObjectId, isDeleted, isDirty, isLoaded, isNew, isPersistent, isTransactional, makeDirty, preSerialize, providedBooleanField, providedByteField, providedCharField, providedDoubleField, providedFloatField, providedIntField, providedLongField, providedObjectField, providedShortField, providedStringField, replacingBooleanField, replacingByteField, replacingCharField, replacingDoubleField, replacingFlags, replacingFloatField, replacingIntField, replacingLongField, replacingObjectField, replacingShortField, replacingStateManager, replacingStringField, setBooleanField, setByteField, setCharField, setDoubleField, setFloatField, setIntField, setLongField, setObjectField, setShortField, setStringField`

Methods inherited from interface javax.jdo.spi.PersistenceCapable.ObjectIdFieldConsumer
`storeBooleanField, storeByteField, storeCharField, storeDoubleField, storeFloatField, storeIntField, storeLongField, storeObjectField, storeShortField, storeStringField`

Methods inherited from interface javax.jdo.spi.PersistenceCapable.ObjectIdFieldSupplier
`fetchBooleanField, fetchByteField, fetchCharField, fetchDoubleField, fetchFloatField, fetchIntField, fetchLongField, fetchObjectField, fetchShortField, fetchStringField`

Field Detail

### LOAD_FGS

    public static final int LOAD_FGS

### LOAD_ALL

    public static final int LOAD_ALL

### LOAD_SERIALIZE

    public static final int LOAD_SERIALIZE

Method Detail

### load

    public boolean load(FetchConfiguration fetch,
                        int loadMode,
                        BitSet exclude,
                        Object context,
                        boolean forWrite)

  Load the state of this instance based on the given fetch configuration and load mode. Return true if any data was loaded, false otherwise.

### assignObjectId

    public boolean assignObjectId(boolean flush)

  Ask the store manager to assign a permanent oid to this new instance.
  Parameters:
    `flush` - if true, flush if necessary to get a permanent oid; if false, the oid may be left unassigned
  Returns:
    true if an oid assigned, false otherwise

### beforeRefresh

    public boolean beforeRefresh(boolean refreshAll)

  Prepare the instance for refresh
  Parameters:
    `refreshAll` - true if this instance is one of a collection of objects being refreshed
  Returns:
    true if the object needs a refresh, false otherwise
  See Also:
    `PersistenceManager#refresh`

### setRemote

    public void setRemote(int field,
                          Object value)

  Set the given field to the given value. Make the field dirty as if user code set it. Do not delete dependent objects in the field's current value. This method is invoked by the remote package to synch a server-side state manager with remote changes. We do not need to delete dependent instances because they will have been deleted when the field changed on the client side, and those client-side deletes will be transmitted independently.
  Since:
    3.1

### setRemoteBoolean

    public void setRemoteBoolean(int field,
                                 boolean val)

  Set the given boolean field to the given value. Make the field dirty as if user code set it.
  Since:
    3.2

### setRemoteByte

    public void setRemoteByte(int field,
                              byte val)

  Set the given byte field to the given value. Make the field dirty as if user code set it.
  Since:
    3.2

### setRemoteChar

    public void setRemoteChar(int field,
                              char val)

  Set the given char field to the given value. Make the field dirty as if user code set it.
  Since:
    3.2

### setRemoteDouble

    public void setRemoteDouble(int field,
                                double val)

  Set the given double field to the given value. Make the field dirty as if user code set it.
  Since:
    3.2

### setRemoteFloat

    public void setRemoteFloat(int field,
                               float val)

  Set the given float field to the given value. Make the field dirty as if user code set it.
  Since:
    3.2

### setRemoteInt

    public void setRemoteInt(int field,
                             int val)

  Set the given int field to the given value. Make the field dirty as if user code set it.
  Since:
    3.2

### setRemoteLong

    public void setRemoteLong(int field,
                              long val)

  Set the given long field to the given value. Make the field dirty as if user code set it.
  Since:
    3.2

### setRemoteObject

    public void setRemoteObject(int field,
                                Object val)

  Set the given object field to the given value. Make the field dirty as if user code set it.
  Since:
    3.2

### setRemoteShort

    public void setRemoteShort(int field,
                               short val)

  Set the given short field to the given value. Make the field dirty as if user code set it.
  Since:
    3.2

### setRemoteString

    public void setRemoteString(int field,
                                String val)

  Set the given string field to the given value. Make the field dirty as if user code set it.
  Since:
    3.2

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.4.1 generated on May 30 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.